# Yahoo! UI Library

### DataSource Utility 2.5.1

Yahoo! UI Library > datasource > YAHOO.util.Date

Show Private Show Protected

## `static` Class YAHOO.util.Date

The static Date class provides helper functions to deal with data of type Number.

### Methods

#### format

`String format ( oDate , oConfig )`
Takes a native JavaScript Date and formats to string for display to user.

Parameters:
  `oDate <Date>` Date.
  `oConfig <Object} (Optional) Optional configuration values:
  format {String>
  `
  Currently only the following formats are supported: "MM/DD/YYYY", "YYYY/MM/DD", or "DD/MM/YYYY"

Returns: `String`
  Formatted date for display.

Copyright © 2007 Yahoo! Inc. All rights reserved.